Update Upgrade Path

View as Markdown
Update an upgrade path.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

path_idstringRequired
account_idstringRequired

Request

This endpoint expects an object.
namestring or nullOptional
Name of the upgrade path
movement_ruleenum or nullOptional

Movement rule: sequential or flexible

productslist of objects or nullOptional

Products with their ranks (replaces all existing)

is_activeboolean or nullOptional
Whether the path is active

Response

Successful Response
idstring
account_idstring
namestring
movement_rulestring
created_atdatetime
updated_atdatetime
is_activebooleanOptionalDefaults to true
productslist of objectsOptional
deleted_atdatetime or nullOptional

Errors

422
Unprocessable Entity Error